﻿InterruptManager = {}
local IM = InterruptManager
local interruptSpells

function IM.GetInterruptSpells()
    interruptSpells =
    {
        -- spellNames
["spellName"] = {"Avenger's Shield", "Disrupting Shout", "Spear Hand Strike", "Counter Shot", "Rebuke", "Skull Bash", "Skull Bash", "Solar Beam", "Mind Freeze", "Counterspell", "Kick", "Silencing Shot", "Wind Shear", "Spell Lock", "Pummel", "Silence"},
        -- spellIds
["spellId"]  =  {31935, 102060, 116705, 147362, 96231, 80964, 80965, 78675, 47528, 2139, 1766, 34490, 57994, 19647, 6552, 15487},
        -- spellCooldowns
["cooldown"]  = {15, 40, 15, 24, 15, 15, 15, 60, 15, 24, 15, 20, 12, 24, 15, 45},
        -- false if it should be included in the main rotation
["secondary"] = {true, true, false, false, false, false, false, false, false, false, false, false, false, false, false, false}
    }
    
    return interruptSpells
end

interruptSpells = IM.GetInterruptSpells()

function IM.IsSecondarySpell(id)
    for k,v in pairs(interruptSpells.spellId) do
        if (id == v) then
            return interruptSpells.secondary[k]
        end
    end
end